<?php
	// JRankResult.php

	/** Container for a single search result from a JRank query (see www.jrank.org)
	 *
	 * @author Hans de Ruiter
	 *
	 * @copyright (C) 2009 by Hans de Ruiter, all rights reserved (see license.txt for
	 * licensing information)
	 *
	 * @version 0.1 - 2009 March 12
	 */
	class JRankResult extends ViewableData
	{
		protected $urlField;
		protected $titleField;
		protected $contentField;
		
		
		// ----- GET METHODS -----
		
		public function url(){
			return $this->urlField;
		}
		
		public function title(){
			return $this->titleField;
		}
		
		public function content(){
			return $this->contentField;
		}
		
		
		// ----- SET METHODS -----
		
		public function setURL($url){
			$this->urlField = $url;
		}
		
		public function setTitle($title){
			$this->titleField = $title;
		}
		
		public function setContent($content){
			$this->contentField = $content;
		}		
	}
	
?>